Thinking Models
gemini-2.5-pro provides deep reasoning capabilities and is suitable for complex math, logic, and analysis tasks.
- Python
- JavaScript
- curl
from openai import OpenAI
client = OpenAI(api_key="your-api-key", base_url="https://aisupermarket.work/v1")
response = client.chat.completions.create(
model="gemini-2.5-pro",
messages=[{"role": "user", "content": "Prove that the square root of 2 is irrational"}],
)
print(response.choices[0].message.content)
import OpenAI from "openai";
const client = new OpenAI({ apiKey: "your-api-key", baseURL: "https://aisupermarket.work/v1" });
const response = await client.chat.completions.create({
model: "gemini-2.5-pro",
messages: [{ role: "user", content: "Prove that the square root of 2 is irrational" }],
});
console.log(response.choices[0].message.content);
curl https://aisupermarket.work/v1/chat/completions \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "gemini-2.5-pro",
"messages": [{"role": "user", "content": "Prove that the square root of 2 is irrational"}]
}'